#include<bits/stdc++.h>
# define maxN 1000
int main()
{
    int l,n,h;
    scanf("%d %d",&n,&h);
    int *stalagniti=new int[maxN];


    for (l=0;l<n;l++)
    {
        scanf("%d",&stalagniti[l]);
        if (stalagniti[l]<=h)
        {
            printf("%d\n",l+1);
            delete[] stalagniti;
            return 0;
        }

    }
    printf("%d", -1);
    delete[] stalagniti;
    return 0;
}